### Method

# ECal Component set_uid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_uid (
      ECalComponent* comp,
      const gchar* uid
    )

#### Description [src]

Sets the unique identifier string of a calendar component object.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.